## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# cstool/importkit.h File Reference

Crystal Space Import Kit. More...

`#include "cssysdef.h"`
`#include "csextern.h"`
`#include "csutil/array.h"`

Go to the source code of this file.

## Namespaces

namespace | CrystalSpace
namespace | CrystalSpace::ImportKitImpl

## Classes

class | CrystalSpace::ImportKit
| Crystal Space Import Kit. More...
class | CrystalSpace::ImportKit::Container
| Contains multiple models. More...
class | CrystalSpace::ImportKit::Container::Material
| A material for a mesh. More...
class | CrystalSpace::ImportKit::Container::Model
| A model. More...
class | CrystalSpace::ImportKit::Container::Model::Mesh
| Model mesh, contains actual geometry. More...

## Detailed Description

Crystal Space Import Kit.

Definition in file importkit.h.